
QGIS Application - Bug report #14512

Avoid creating of corruption Shapefiles during Editing/saving.

2016-03-16 06:20 AM - sarra sahbani

Status: Closed

Priority: High

Assignee:

Category: Unknown

Affected QGIS version:2.14.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:Yes Copied to github as #: 22485

Description

when digitizing some features (lines/polygons) in QGIS 2.14.0 in shapefile format, and after saving the changes, the current dbf ( or in

another case the shx and shp ) file(s) seemed to have been created with the '_packed' attached to the end.

This problem happned frequently.

If the dbf file was renamed, we can't restaure the previous state of the shapes.

Related issues:

Duplicates QGIS Application - Bug report # 11007: Deleted/edited features wit... Closed 2014-08-05

History

#1 - 2016-03-22 03:57 AM - Matthias Kuhn

When does this happen exactly? Do you have a reproducible way?

For more information, also read this: http://gis.stackexchange.com/a/79677/9839

#2 - 2016-03-24 12:03 AM - sarra sahbani

Matthias Kuhn wrote:

When does this happen exactly? Do you have a reproducible way?

For more information, also read this: http://gis.stackexchange.com/a/79677/9839

when I digitize many features, or I delete some of them then I save, this problem happened.

#3 - 2016-04-09 10:51 AM - Giovanni Manghi

- Status changed from Open to Feedback

hope this is not #11007 nightmare all over...

Do you have a specific series of steps we can use to replicate the issue? Thanks in advance.

#4 - 2016-05-23 10:52 AM - Giovanni Manghi
http://gis.stackexchange.com/a/79677/9839
http://gis.stackexchange.com/a/79677/9839


- Resolution set to not reproducable

- Status changed from Feedback to Closed

Giovanni Manghi wrote:

hope this is not #11007 nightmare all over...

it is not #11007 apparently and fortunately (I tested and I confirm is fixed, at least with those steps), anyway there are relates of issues editing shapfiles,

but none of them seems to have appropriate steps to replicate, that make troubleshooting very hard.

Please reopen if you find those steps (and meanwhile install the latest version available and try disable all 3rd party plugins).

#5 - 2017-09-22 10:05 AM - Jürgen Fischer

- Category set to Unknown
